Name: OpenIPMI
Summary: %name - Library interface to IPMI
Version: 2.0.7
Release: alt0.1
License: LGPL
Url: http://openipmi.sourceforge.net
Group: System/Configuration/Hardware
Source0: %name-2.0.7.tar
Source1: ipmi.init.alt
Patch1: %name-2.0.7-alt-tinfo.patch
Patch2: %name-2.0.7-alt-make.patch

%def_disable static
%def_with ucdsnmp
%def_with openssl
%def_without perl
%def_without python

%{?_with_ucdsnmp:BuildRequires(pre): libnet-snmp-devel}
%{?_with_openssl:BuildRequires(pre): libssl-devel}
%{?_with_perl:BuildRequires(pre): perl-devel}
%{?_with_python:BuildRequires(pre): python-devel = %__python_version, tk-devel, swig >= 1.3}
BuildRequires: pkgconfig libpopt-devel libtinfo-devel libncurses-devel glib2-devel libgdbm-devel

# Perl is usually installed in /usr/lib, not /usr/lib64 on 64-bit platforms.
%define perl_libdir %_exec_prefix/lib

# Kludge for python
%define python_libdir %_libdir/python%__python_version
%define python_site_packages_dir %python_libdir/site-packages
%define python_includedir %_includedir/python%__python_version

Packager: LAKostis <lakostis@altlinux.ru>

%description
This package contains basic tools used with OpenIPMI.

%package -n lib%name
Summary: OpenIPMI shared libraries
Group: System/Libraries

%description -n lib%name
This package contains a shared library implementation of IPMI.

%package devel
Summary: Development files for OpenIPMI
Group: Development/C
Requires: lib%name = %version, pkgconfig

%description devel
Contains additional files need for a developer to create applications
and/or middleware that depends on libOpenIPMI.

%package devel-static
Summary: Static libs for OpenIPMI
Group: Development/C

%description devel-static
Contains a static libraries of IPMI.

%package perl
Summary: Perl interface for OpenIPMI
Group: System/Configuration/Hardware
Requires: %name = %version, perl >= 5

%description perl
A Perl interface for OpenIPMI.

%package python
Summary: Python interface for OpenIPMI
Group: System/Configuration/Hardware
Requires: %name = %version, python

%description python
A Python interface for OpenIPMI.

%package gui
Summary: GUI (in python) for OpenIPMI
Group: System/Configuration/Hardware
Requires: %name-python = %version, tkinter

%description gui
A GUI interface for OpenIPMI.  Written in python an requiring wxWidgets.

%package ui
Summary: OpenIPMI User Interface (ui)
Group: System/Configuration/Hardware
Requires: %name = %version

%description ui
This package contains a user interface for OpenIPMI.

%package lanserv
Summary: Emulates an IPMI network listener
Group: System/Configuration/Hardware
Requires: %name = %version

%description lanserv
This package contains a network IPMI listener.

%prep
%setup
%patch1 -p1
%patch2 -p1
%build
%__autoreconf
%configure \
	%{subst_enable static} \
	%{subst_with ucdsnmp} \
	%{subst_with openssl} \
	%{subst_with perl} \
	%{subst_with python}
%make_build

%install
%set_verify_elf_method textrel=relaxed

make DESTDIR=%buildroot install
install -d %buildroot%_initdir
install -d %buildroot%_sysconfdir/sysconfig
install -pm755 %SOURCE1 %buildroot%_initdir/ipmi
install ipmi.sysconf %buildroot%_sysconfdir/sysconfig/ipmi

%post
%post_service ipmi

%preun
%preun_service ipmi

%files
%doc COPYING* FAQ README*
%_initdir/ipmi
%_sysconfdir/sysconfig/ipmi

%files -n lib%name
%_libdir/libOpenIPMIcmdlang.so.*
%_libdir/libOpenIPMIglib.so.*
%if_enabled python
%_libdir/libOpenIPMItcl.so.*
%endif #python
%_libdir/libOpenIPMIposix.so.*
%_libdir/libOpenIPMIpthread.so.*
%_libdir/libOpenIPMI.so.*
%_libdir/libOpenIPMIutils.so.*
%doc README

%if_enabled perl
%files perl
%perl_libdir/perl5
%doc swig/OpenIPMI.i swig/perl/sample swig/perl/ipmi_powerctl
%endif #perl

%if_enabled python
%files python
%python_site_packages_dir/*OpenIPMI.*
%doc swig/OpenIPMI.i

%files gui
%dir %python_site_packages_dir/openipmigui
%python_site_packages_dir/openipmigui/*
%_bindir/openipmigui
%endif #python

%files devel
%_includedir/OpenIPMI
%_libdir/*.so
%_libdir/pkgconfig
%doc doc/IPMI.pdf

%if_enabled static
%files devel-static
%_libdir/*.a
%endif #static

%files ui
%_bindir/ipmi_ui
%_bindir/ipmicmd
%_bindir/openipmicmd
%_bindir/ipmish
%_bindir/openipmish
%_bindir/solterm
%_bindir/rmcp_ping
%_libdir/libOpenIPMIui.so*
%_man1dir/ipmi_ui.1*
%_man1dir/openipmicmd.1*
%_man1dir/openipmish.1*
%_man1dir/openipmigui.1*
%_man1dir/solterm.1*
%_man1dir/rmcp_ping.1*
%_man7dir/ipmi_cmdlang.7*
%_man7dir/openipmi_conparms.7*
%doc CONFIGURING_FOR_LAN

%files lanserv
%_bindir/ipmilan
%_libdir/libIPMIlanserv.so*
%_man8dir/ipmilan.8*


%changelog
* Thu Aug 03 2006 L.A. Kostis <lakostis@altlinux.ru> 2.0.7-alt0.1
- first build for ALTLinux;
- disable perl/python for a while.

